Subject: Re: bug#31644: tests/ls/abmon-align does not work today (May 29th)
From: Pádraig Brady <[email-masked]>
To: Kamil Dudka <[email-masked]>, [email-masked]
Cc: Rafal Luzynski <[email-masked]>
Date: Tue, 29 May 2018 10:16:43 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 29/05/18 09:16, Kamil Dudka wrote:
> Re-posting with a fresh subject.  debbugs.gnu.org rejected my original post 
> because the original bug has been closed and has received no comments for more 
> than 28 days:
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30814
> 
> 
> On Wednesday, March 14, 2018 7:40:31 PM CEST Pádraig Brady wrote:
>> Given the increase in supported size should only impact relatively few
>> languages it probably makes sense to increase to 12. The attached does that
>> and also augments the test to find ambiguous cases.
> 
> The ls/abmon-align test does not work today (May 29th) because of the added 
> check.  The problem is that:
> 
>     touch '-d+N month' for N={01..12}
> 
> ... in general does not create 12 files with timestamps in different months. 
> 
> If you run it today (May 29th), touch '-d+09 month' results in March 1st while 
> touch '-d+10 month' results in March 29th.  Consequently, both 09.ts and 10.ts 
> have the same month (March) to begin with and the check for duplicates has to 
> fail:

That was a latent issue with the original test, which I've
now pushed a fix for at:
https://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=c8eb21c

I've a local prototype to address the more general gotcha here
wrt relative date adjustments, which I hope to push soon.

thanks!
Pádraig